Classes | Namespaces
IWORKTableRecorder.cpp File Reference
`#include "IWORKTableRecorder.h"`
`#include <deque>`
`#include <boost/variant.hpp>`
`#include "IWORKText.h"`
`#include "IWORKTextRecorder.h"`

## Classes
struct | libetonyek::IWORKTableRecorder::Impl

## Namespaces
| libetonyek

## Variable Documentation

## ◆ m_banded

const bool m_banded

## ◆ m_column

const unsigned m_column

## ◆ m_columns

const bool m_columns

## ◆ m_columnSizes

const IWORKColumnSizes_t m_columnSizes

## ◆ m_columnSpan

const unsigned m_columnSpan

## ◆ m_content

const std::shared_ptr<IWORKText> m_content

## ◆ m_dateTime

const boost::optional<IWORKDateTimeData> m_dateTime

## ◆ m_footerRows

const unsigned m_footerRows

## ◆ m_formula

const IWORKFormulaPtr_t m_formula

## ◆ m_formulaHC

boost::optional<unsigned> m_formulaHC

## ◆ m_headerColumns

const unsigned m_headerColumns

## ◆ m_headerRows

const unsigned m_headerRows

## ◆ m_horizontalBottomLines

const IWORKGridLineMap_t m_horizontalBottomLines

## ◆ m_horizontalLines

const IWORKGridLineMap_t m_horizontalLines

## ◆ m_order

const int m_order

## ◆ m_row

const unsigned m_row

## ◆ m_rows

const bool m_rows

## ◆ m_rowSizes

const IWORKRowSizes_t m_rowSizes

## ◆ m_rowSpan

const unsigned m_rowSpan

## ◆ m_style

const IWORKStylePtr_t m_style

## ◆ m_table

IWORKTable& m_table
| private

## ◆ m_type

const IWORKTable::CellType m_type

## ◆ m_value

const boost::optional<std::string> m_value

## ◆ m_verticalLines

const IWORKGridLineMap_t m_verticalLines

## ◆ m_verticalRightLines

const IWORKGridLineMap_t m_verticalRightLines